Holger's Java API

## com.antelmann.util.table
Class AbstractSpecialCellEditor

    java.lang.Object
      javax.swing.AbstractCellEditor
          com.antelmann.util.table.AbstractSpecialCellEditor

All Implemented Interfaces:
  Serializable, CellEditor

Direct Known Subclasses:
  FontCellEditor, FormattedCellEditor, MultiLineCellTextEditor

    public abstract class AbstractSpecialCellEditor

extends AbstractCellEditor

provides some convenience stuff for the editors in this package taken from a `DefaultCellEditor`, but w/o the delegate stuff

Since:
  26.06.2008, 16:01:15
Author:
  Holger Antelmann
See Also:
  Serialized Form

Field Summary

Fields inherited from class javax.swing.AbstractCellEditor
`changeEvent, listenerList`

Constructor Summary
`AbstractSpecialCellEditor()`

Method Summary
`int` `getClickCountToStart()` determines how many mouse clicks are needed to switch to edit mode; defaults to 2
`boolean` `isCellEditable(EventObject ev)` checks for MouseEvent instances and there reacts according to the `getClickCountToStart()` value
`void` `setClickCountToStart(int clickCountToStart)` allows to set how many mouse clicks are needed to switch to edit mode

Methods inherited from class javax.swing.AbstractCellEditor
`addCellEditorListener, cancelCellEditing, fireEditingCanceled, fireEditingStopped, getCellEditorListeners, removeCellEditorListener, shouldSelectCell, stopCellEditing`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface javax.swing.CellEditor
`getCellEditorValue`

Constructor Detail

### AbstractSpecialCellEditor

    public AbstractSpecialCellEditor()

Method Detail

### isCellEditable

    public boolean isCellEditable(EventObject ev)

  checks for MouseEvent instances and there reacts according to the `getClickCountToStart()` value

  Specified by:
    `isCellEditable` in interface `CellEditor`
  Overrides:
    `isCellEditable` in class `AbstractCellEditor`

### getClickCountToStart

    public int getClickCountToStart()

  determines how many mouse clicks are needed to switch to edit mode; defaults to 2

### setClickCountToStart

    public void setClickCountToStart(int clickCountToStart)

  allows to set how many mouse clicks are needed to switch to edit mode

(c) Holger Antelmann since 2001- all rights reserved (contact: info@antelmann.com)
see www.antelmann.com/developer for further details and available downloads